# lxqt-kwin-session

>Files for an LXQt wayland session using kwin_wayland.

For taskbar, pager and showdesktop plugin support in `lxqt-panel` manual compiling [wayland-taskbar PR](https://github.com/lxqt/lxqt-panel/pull/2031) is needed at the moment. Atm `lxqt-panel` has to be already installed top compile it. There is complete wayland support in desktop, notifications, runner modules with LXQt 2.0.

Use your display manager to start "LXQt Kwin (Wayland)".
`startlxqtkwin` from tty works too.


## Screenshot

![LXQt-kwin dark](lxqt-kwin.png)

LXQt style "Dark"; Palette "Valendas"

## Features

* Switch user
* Screen lock
* Full wayland support in taskbar for workspaces
* Scaling per monitor
* Window effects

## Dependencies

Build dependencies are `CMake`, lxqt 2.0>= and optionally
`Git` to pull latest VCS checkouts. kwin version 6.0.2 or higher is recommended.

### Optional:

* `systemsettings` for configuring kwin
* `plasma-workspace` for configuring shortcuts, screen and else.


## Installation

Code configuration is handled by CMake.<br>
CMake variable `CMAKE_INSTALL_PREFIX` has to be set to `/usr` on most operating systems.

```
git clone https://github.com/stefonarch/lxqt-kwin-session.git
cd lxqt-kwin-session
mkdir build && cd build
cmake ..  -DCMAKE_INSTALL_PREFIX=/usr  -DCMAKE_BUILD_TYPE=Debug && make -j4

# Prefer creating a package for your distro instead of using sudo make install

```

## Notes and Known Issues

* Scale and language settings are imported from LXQt.

* `kwin_wayland` sets a autogenerated scaling value by default if not configured under plasma, see
`~/.config/kwinoutputconfig.json` and change value in `"scale": 1,` or another matching valueeventually.

* Mouse cursor and size are synced and can be set using "Appearance" setting,
session restart required. GTK settings have to be updated after changes.

* Global shortcuts are handled only by kwin, adding in "Session Settings" > Autostart the command `/usr/lib/kglobalacceld` is mandatory; configuration is in `~/.config/kglobalshortcutsrc`, it has to be edited if no full plasma session is installed and KDE settings can be used.

Qterminal's dropdown function and other commands or applications can be inserted using
`systemsettings`- it will create a `.desktop` file in `~/.local/share/applications`.

```
[services][lxqt-runner.desktop]
_launch=Alt+Space

[services][pcmanfm-qt.desktop]
_launch=Meta+P

[services][toggledropdown.desktop]
_launch=F12

```
For volume keys `amixer sset Master 5%+`,`brightnessctl set 10%-` and
  `amixer sset Master toggle` can be used.
For brightness keys: `brightnessctl set +10%` and `brightnessctl set 10%-`.

* LXQt lock settings do not work yet. Plasma/kwin  screenlocker works. To disable
screenlock add `  --no-lockscreen` to the options in `startlxqtkwin`.

* Bottom and right panel's tooltips and menu popups have some alignment issues
with gaps and alignment to screen border.

* Button settings in `lxqt-powermanagement` are not applied yet.
  
* Some X11-only applications (example: redshift) in autostart
  could lead to high CPU usage under wayland.


[AUR]:                    https://aur.archlinux.org/packages/lxqt-kwin-session-git
